Bug 1123680 - Review Request: python-keystonemiddleware - Middleware for OpenStack Identity
Summary: Review Request: python-keystonemiddleware - Middleware for OpenStack Identity
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Ruzicka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-27 22:42 UTC by Alan Pevec
Modified: 2014-08-05 20:27 UTC (History)
6 users (show)

Fixed In Version: python-keystonemiddleware-1.0.0-4.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-05 20:27:48 UTC
jruzicka: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Alan Pevec 2014-07-27 22:42:29 UTC
Spec URL: https://apevec.fedorapeople.org/python-keystonemiddleware.spec
SRPM URL: https://apevec.fedorapeople.org/python-keystonemiddleware-1.0.0-1.fc22.src.rpm
Description: This package contains middleware modules designed to provide authentication
and authorization features to web services other than OpenStack Keystone.
The most prominent module is keystonemiddleware.auth_token.
This package does not expose any CLI or Python API features.
Fedora Account System Username: apevec

Comment 1 Eduardo Mayorga 2014-07-28 21:29:57 UTC
A few notes:

- This package BuildRequires setuptools.

- An error is raised when generating documentation:
DEBUG util.py:283:  + sphinx-build doc/source html
DEBUG util.py:283:  Making output directory...
DEBUG util.py:283:  Running Sphinx v1.2.2
DEBUG util.py:283:  Exception occurred:
DEBUG util.py:283:    File "/usr/lib64/python2.7/subprocess.py", line 1327, in _execute_child
DEBUG util.py:283:      raise child_exception
DEBUG util.py:283:  OSError: [Errno 2] No such file or directory

- Are all Requires listed?
http://git.openstack.org/cgit/openstack/keystonemiddleware/tree/requirements.txt

Comment 2 Alan Pevec 2014-07-30 00:33:18 UTC
Spec URL: https://apevec.fedorapeople.org/python-keystonemiddleware.spec
SRPM URL: https://apevec.fedorapeople.org/python-keystonemiddleware-1.0.0-2.fc22.src.rpm
Description: This package contains middleware modules designed to provide authentication
and authorization features to web services other than OpenStack Keystone.
The most prominent module is keystonemiddleware.auth_token.
This package does not expose any CLI or Python API features.
Fedora Account System Username: apevec

Comment 3 Alan Pevec 2014-07-30 00:36:33 UTC
That's for the initial comments.

> - An error is raised when generating documentation:
...
> DEBUG util.py:283:  OSError: [Errno 2] No such file or directory

That was pbr.version call in doc/source/conf.py missing to find PKG-INFO and reverting to use git command which is not in buildroot.

> - Are all Requires listed?

All other Requires are pulled via python-keystoneclient dep.

Comment 4 Ihar Hrachyshka 2014-08-01 10:29:54 UTC
I don't think it's stricly correct to assume that python-keystoneclient will grap all deps that we directly use in the package. Other than that, looks decent.

Comment 5 Alan Pevec 2014-08-01 13:17:26 UTC
(In reply to Ihar Hrachyshka from comment #4)
> I don't think it's stricly correct to assume that python-keystoneclient will
> grap all deps that we directly use in the package.

I does now in Rawhide, that's what it counts and keeping explicit Requires at minimum is in spirit of https://fedoraproject.org/wiki/Packaging:Guidelines#Requires_2

Strictly speaking you're right, keystoneclient could drop some deps still used in keystone m/w but I can promise as a maitainer to a keep close eye.

Comment 6 Alan Pevec 2014-08-04 12:10:52 UTC
Spec URL: https://apevec.fedorapeople.org/python-keystonemiddleware.spec
SRPM URL: https://apevec.fedorapeople.org/python-keystonemiddleware-1.0.0-3.fc22.src.rpm
Description: This package contains middleware modules designed to provide authentication
and authorization features to web services other than OpenStack Keystone.
The most prominent module is keystonemiddleware.auth_token.
This package does not expose any CLI or Python API features.
Fedora Account System Username: apevec

Comment 7 Alan Pevec 2014-08-04 16:04:21 UTC
Spec URL: https://apevec.fedorapeople.org/python-keystonemiddleware.spec
SRPM URL: https://apevec.fedorapeople.org/python-keystonemiddleware-1.0.0-4.fc22.src.rpm
Description: This package contains middleware modules designed to provide authentication
and authorization features to web services other than OpenStack Keystone.
The most prominent module is keystonemiddleware.auth_token.
This package does not expose any CLI or Python API features.
Fedora Account System Username: apevec

Comment 8 Jakub Ruzicka 2014-08-04 17:05:35 UTC
Looks good to me!


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache (v2.0)".
     3 files have unknown license. Detailed output of licensecheck in
     /home/jruzicka/pkg/review/1123680-python-
     keystonemiddleware/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[-]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python-
     keystonemiddleware-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-keystonemiddleware-1.0.0-4.fc22.noarch.rpm
          python-keystonemiddleware-doc-1.0.0-4.fc22.noarch.rpm
          python-keystonemiddleware-1.0.0-4.fc22.src.rpm
python-keystonemiddleware.noarch: W: spelling-error Summary(en_US) Middleware -> Middle ware, Middle-ware, Middleweight
python-keystonemiddleware.noarch: W: spelling-error %description -l en_US middleware -> middle ware, middle-ware, middleweight
python-keystonemiddleware.noarch: W: spelling-error %description -l en_US auth -> auto, Ruth, author
python-keystonemiddleware-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-keystonemiddleware-doc/html/_static/jquery.js
python-keystonemiddleware.src: W: spelling-error Summary(en_US) Middleware -> Middle ware, Middle-ware, Middleweight
python-keystonemiddleware.src: W: spelling-error %description -l en_US middleware -> middle ware, middle-ware, middleweight
python-keystonemiddleware.src: W: spelling-error %description -l en_US auth -> auto, Ruth, author
3 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-keystonemiddleware python-keystonemiddleware-doc
python-keystonemiddleware.noarch: W: spelling-error Summary(en_US) Middleware -> Middle ware, Middle-ware, Middleweight
python-keystonemiddleware.noarch: W: spelling-error %description -l en_US middleware -> middle ware, middle-ware, middleweight
python-keystonemiddleware.noarch: W: spelling-error %description -l en_US auth -> auto, Ruth, author
python-keystonemiddleware-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-keystonemiddleware-doc/html/_static/jquery.js
2 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-keystonemiddleware (rpmlib, GLIBC filtered):
    python(abi)
    python-keystoneclient

python-keystonemiddleware-doc (rpmlib, GLIBC filtered):



Provides
--------
python-keystonemiddleware:
    python-keystonemiddleware

python-keystonemiddleware-doc:
    python-keystonemiddleware-doc



Source checksums
----------------
https://pypi.python.org/packages/source/k/keystonemiddleware/keystonemiddleware-1.0.0.tar.gz :
  CHECKSUM(SHA256) this package     : e0b2758e30254b5084f7b82b5241b6b467c0e2d4e3fab14b8cd9b58df3d320d9
  CHECKSUM(SHA256) upstream package : e0b2758e30254b5084f7b82b5241b6b467c0e2d4e3fab14b8cd9b58df3d320d9


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/bin/fedora-review -b 1123680 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 9 Alan Pevec 2014-08-04 17:21:49 UTC
New Package SCM Request
=======================
Package Name: python-keystonemiddleware
Short Description: Middleware for OpenStack Identity
Upstream URL: http://launchpad.net/keystonemiddleware
Owners: apevec jruzicka
Branches: 
InitialCC:

Comment 10 Gwyn Ciesla 2014-08-04 18:32:39 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.